# DAGetGlobalIndicesF90

Returns a Fortran90 pointer to the list of global indices (global node number of all local nodes, including ghost nodes).

### Synopsis

    DAGetGlobalIndicesF90(DA da,integer n,{integer, pointer :: idx(:)},integer ierr)

### Input Parameter

da -the distributed array

### Output Parameters

| n | - the number of local elements, including ghost nodes (or PETSC_NULL)
| idx | - the Fortran90 pointer to the global indices
| ierr | - error code

### Notes

Not yet supported for all F90 compilers

### Keywords

distributed array, get, global, indices, local-to-global, f90

### See Also

DAGetGlobalIndices()

Level:intermediate
Location: src/dm/da/src/daindex.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5f90.F.html